package gui.active_learning_tool;

import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.net.URL;

import javax.imageio.ImageIO;
import javax.swing.*;

public class Active_learning_tool_frame extends JFrame
{

	public Active_learning_tool_frame(Active_learning_tool_gui_manager gui_manager)
	{
		//the title
		super("Active Learning Tool");
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		setResizable(false);
		setSize(330, 240);
		//appear in the center of the screen
		setLocationRelativeTo(null);
		file_separator = System.getProperty("file.separator");
		file_separator = (file_separator.equals("\\"))?"\\\\":file_separator;
		//the panel
		panel = new Active_learning_tool_choices_panel(gui_manager);
		setContentPane(panel);
		//change the frame icon
		BufferedImage image = null;
        try
        {
        	image = ImageIO.read(new URL("file:"+new File("pics" + file_separator + "icon.JPG").getAbsolutePath()));
        }
        catch (IOException e)
        {
            e.printStackTrace();
        }
        setIconImage(image);
	}
	
	protected Active_learning_tool_choices_panel panel;
	public static String file_separator;
	
}
