package gui.active_learning_tool;

import javax.imageio.ImageIO;
import javax.swing.*;
import java.awt.*;
import java.awt.image.BufferedImage;
import java.io.File;
import java.io.IOException;
import java.net.URL;

public class Active_learning_tool_loading_bar extends JFrame
{
		
	public Active_learning_tool_loading_bar(String message)
	{
		//the title
		super(message);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		setResizable(false);
		setSize(350, 70);
		//appear in the center of the screen
		setLocationRelativeTo(null);
		file_separator = System.getProperty("file.separator");
		file_separator = (file_separator.equals("\\"))?"\\\\":file_separator;
		progress = new JProgressBar();
		progress.setPreferredSize(new Dimension(340, 35));
	    progress.setStringPainted(true);
		JPanel panel = new JPanel();
		panel.add(progress);
		setContentPane(panel);
		//change the frame icon
		BufferedImage image = null;
        try
        {
        	image = ImageIO.read(new URL("file:"+new File("pics" + file_separator +
        			"icon.JPG").getAbsolutePath()));
        }
        catch (IOException e)
        {
            e.printStackTrace();
        }
        setIconImage(image);
	}
	
	//show the frame
	public Active_learning_tool_loading_bar init()
	{
		setVisible(true);
		return this;
	}
	
	public JProgressBar progress;
	public static String file_separator;
	
}
