package document;

import java.io.Serializable;

public class Token implements Serializable
{

	public Token(String word, int start, int end)
	{
		token = word;
		starting_position = start;
		ending_position = end;
		tag = new String[5];
		for(int i=0; i<5; ++i)
		{
			tag[i] = "--";
		}
	}
	
	public String get_token()
	{
		return token;
	}
	
	public void set_starting_position(int s)
	{
		starting_position = s;
	}
	
	public int get_starting_position()
	{
		return starting_position;
	}
	
	public void set_ending_position(int e)
	{
		ending_position = e;
	}
	
	public int get_ending_position()
	{
		return ending_position;
	}
	
	public void set_tag_part(String tag_part, int index)
	{
		tag[index] = tag_part;
	}
	
	public String get_tag_part(int index)
	{
		return tag[index];
	}
	
	public String get_tag()
	{
		String s = "";
		for(int i=0; i<tag.length; ++i)
		{
			s += tag[i] + "/";
		}
		return s.substring(0, s.length()-1);
	}
	
	private String token;
	private int starting_position;
	private int ending_position;
	private String[] tag;
	
}
