package instance_provider;

import classifier.*;
import java.util.*;
/*
 * Any class implementing this interface can parse a file in order to
 * extract an ArrayList of instances out of it. The type of the file is not
 * bounded here and depends on what the implementing class can handle.
 */
public interface Instance_provider
{

	void parse_file(String path);
	
	void set_number_of_instances_to_provide(int i);
	
	ArrayList<Instance> get_instances();
	
}
